# TimeWin [![Build Status](https://travis-ci.org/pompadour/time_win.svg?branch=master)](https://travis-ci.org/pompadour/time_win)

A set of Ruby helpers to deal with time intervals.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'time_win'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install time_win

## Usage

``` ruby
require 'time_win'

include TimeWin

# Use TimeWin::Util methods
puts today
      #=> [2016-05-02 00:00:00 +0200 --> 2016-05-03 00:00:00 +0200]

# Or use TimeWin::Window constructor
last_2_hours = Window.new 2.hours_ago, Time.now
      #=> [2016-05-02 07:46:02 +0200 --> 2016-05-02 09:46:02 +0200]

# Or use Date and Time classes extensions
last_3_hours = 3.hours_ago.until Time.now
      #=> [2016-05-02 06:48:29 +0200 --> 2016-05-02 09:48:29 +0200]

```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/time_win. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
